- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.TargetHttpProxy.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies/get#try-it)

Returns the specified TargetHttpProxy resource in the specified region.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/targetHttpProxies/{targetHttpProxy}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region scoping this request. |
| `targetHttpProxy` | `string` Name of the TargetHttpProxy resource to return. |

### Request body

The request body must be empty.

### Response body

Represents a Target HTTP Proxy resource.

Google Compute Engine has two Target HTTP Proxy resources:

- [Global](https://docs.cloud.google.com/compute/docs/reference/rest/beta/targetHttpProxies)
- [Regional](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionTargetHttpProxies)

A target HTTP proxy is a component of Google Cloud HTTP load balancers.

- targetHttpProxies are used by global external Application Load Balancers, classic Application Load Balancers, cross-region internal Application Load Balancers, and Traffic Director.
- regionTargetHttpProxies are used by regional internal Application Load Balancers and regional external Application Load Balancers.

Forwarding rules reference a target HTTP proxy, and the target proxy then references a URL map. For more information, read [Using Target Proxies](https://docs.cloud.google.com/load-balancing/docs/target-proxies) and [Forwarding rule concepts](https://docs.cloud.google.com/load-balancing/docs/forwarding-rule-concepts).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "urlMap": string, "region": string, "proxyBind": boolean, "httpFilters": [ string ], "fingerprint": string, "httpKeepAliveTimeoutSec": integer } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of resource. Always `compute#targetHttpProxy` for target HTTP proxies. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `urlMap` | `string` URL to the UrlMap resource that defines the mapping from URL to the BackendService. |
| `region` | `string` Output only. URL of the region where the regional Target HTTP Proxy resides. This field is not applicable to global Target HTTP Proxies. |
| `proxyBind` | `boolean` This field only applies when the forwarding rule that references this target proxy has a `loadBalancingScheme` set to `INTERNAL_SELF_MANAGED`. When this field is set to `true`, Envoy proxies set up inbound traffic interception and bind to the IP address and port specified in the forwarding rule. This is generally useful when using Traffic Director to configure Envoy as a gateway or middle proxy (in other words, not a sidecar proxy). The Envoy proxy listens for inbound requests and handles requests when it receives them. The default is `false`. |
| `httpFilters[]` | `string` URLs to `networkservices.HttpFilter` resources enabled for xDS clients using this configuration. For example, `https://networkservices.googleapis.com/v1alpha1/projects/project/locations/locationhttpFilters/httpFilter` Only filters that handle outbound connection and stream events may be specified. These filters work in conjunction with a default set of HTTP filters that may already be configured by Traffic Director. Traffic Director will determine the final location of these filters within xDS configuration based on the name of the HTTP filter. If Traffic Director positions multiple filters at the same location, those filters will be in the same order as specified in this list. `httpFilters` only applies for loadbalancers with `loadBalancingScheme` set to `INTERNAL_SELF_MANAGED`. See `ForwardingRule` for more details. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a `TargetHttpProxy`. An up-to-date fingerprint must be provided in order to patch/update the TargetHttpProxy; otherwise, the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the TargetHttpProxy. A base64-encoded string. |
| `httpKeepAliveTimeoutSec` | `integer` Specifies how long to keep a connection open, after completing a response, while there is no matching traffic (in seconds). If an HTTP keep-alive is not specified, a default value (610 seconds) will be used. For global external Application Load Balancers, the minimum allowed value is 5 seconds and the maximum allowed value is 1200 seconds. For classic Application Load Balancers, this option is not supported. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.regionTargetHttpProxies.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).